non-existent icons are referenced: category-available and category-installed

Bug #932212 reported by Matt Fischer on 2012-02-14
30
This bug affects 7 people
Affects Status Importance Assigned to Milestone
Unity
Fix Released
Undecided
Unassigned
unity-lens-applications
Low
Michal Hruby
unity (Ubuntu)
Undecided
Unassigned
unity-lens-applications (Ubuntu)
Undecided
Unassigned

Bug Description

This is an issue that exists in oneiric and precise. When you start unity (after setsid unity) you can see in the logging that there are two missing icon files:

11.10 message:
WARN 2012-02-02 14:02:56 unity.iconloader IconLoader.cpp:509 Unable to load contents of file:///usr/share/icons/unity-icon-theme/places/svg/category-installed.svg: Error opening file: No such file or directory
WARN 2012-02-02 14:02:56 unity.iconloader IconLoader.cpp:509 Unable to load contents of file:///usr/share/icons/unity-icon-theme/places/svg/category-available.svg: Error opening file: No such file or directory

12.04 message:
WARN 2012-02-14 10:38:46 unity.iconloader IconLoader.cpp:492 Unable to load icon file:///usr/share/icons/unity-icon-theme/places/svg/category-available.svg at size 24: Error opening file: No such file or directory
WARN 2012-02-14 10:38:46 unity.iconloader IconLoader.cpp:492 Unable to load icon file:///usr/share/icons/unity-icon-theme/places/svg/category-available.svg at size 24: Error opening file: No such file or directory

The issue occurs in runner.vala::populate_categories().

This bug was partially fixed in commit 220 in the daemon.vala file, but this file was missed.

See here:
http://bazaar.launchpad.net/~unity-team/unity-lens-applications/trunk/revision/220/src/daemon.vala

I will attach a patch shortly.

unity-lens-applications:
  Installed: 5.2.0-0ubuntu1
  Candidate: 5.2.0-0ubuntu1
  Version table:
 *** 5.2.0-0ubuntu1 0
        500 http://us.archive.ubuntu.com/ubuntu/ precise/main amd64 Packages
        100 /var/lib/dpkg/status

Matt Fischer (mfisch) wrote :
Matt Fischer (mfisch) wrote :

Based on neil patel's earlier change, I think the patch above will solve this problem.

Wagner Pires (coyotefisico) wrote :

How do I use this patch to solve my icons problem?

Matt Fischer (mfisch) wrote :

Wagner,

As far as I can tell this is a spurious warning and there is no actual issue. If you are having problems with your icons, I suggest you file a new bug or use askubuntu.com. This fix will not be useful for this issue until someone packages the patch up.

Michal Hruby (mhr3) on 2012-02-19
Changed in unity-lens-applications:
milestone: none → 5.6.0
assignee: nobody → Michal Hruby (mhr3)
importance: Undecided → Low
status: New → Triaged
Michal Hruby (mhr3) wrote :

Thanks for the patch Matt, I created a branch and merge proposed it.

Changed in unity-lens-applications:
status: Triaged → In Progress
Changed in unity-lens-applications:
status: In Progress → Fix Committed
Didier Roche (didrocks) on 2012-03-12
Changed in unity:
milestone: none → 5.6.0
status: New → Fix Committed
Didier Roche (didrocks) on 2012-03-12
Changed in unity:
status: Fix Committed → Fix Released
Changed in unity-lens-applications:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-lens-applications - 5.6.0-0ubuntu1

---------------
unity-lens-applications (5.6.0-0ubuntu1) precise; urgency=low

  * New upstream release.
    - unity-applications-daemon crashed with SIGSEGV in
      dee_sequence_model_free_row() (LP: #916356)
    - Can't launch applications from the launcher (LP: #938505)
    - Unity Dash should support Keywords parameter in .desktop (formerly X
      -GNOME-Keywords or X-AppInstall-Keywords) (LP: #941231)
    - Dash - Currently the app lens doesn't show applications that are
      available for purchase (LP: #916121)
    - non-existent icons are referenced: category-available and category-
      installed (LP: #932212)
 -- Didier Roche <email address hidden> Mon, 12 Mar 2012 11:52:14 +0100

Changed in unity-lens-applications (Ubuntu):
status: New → Fix Released
Changed in unity (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers